<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\HybridFormModel;

class HybridFormBuilder extends Controller
{
    public function index()
    {
        return view('hybrid_form_builder');
    }

    // Save a new form
    public function save()
    {
        $model = new HybridFormModel();
        $data = $this->request->getJSON(true); // Get JSON data from request

        $formData = [
            'form_name' => $data['form_name'],
            'form_data' => json_encode($data['form_data'])
        ];

        if ($model->insert($formData)) {
            return $this->response->setJSON(['message' => 'Form saved successfully!', 'status' => 'success']);
        }

        return $this->response->setJSON(['message' => 'Failed to save form.', 'status' => 'error']);
    }

    // Load an existing form by ID
    public function load($id)
    {
        $model = new HybridFormModel();
        $form = $model->find($id);

        if ($form) {
            return $this->response->setJSON([
                'form_name' => $form['form_name'],
                'form_data' => json_decode($form['form_data'], true)
            ]);
        }

        return $this->response->setJSON(['message' => 'Form not found.', 'status' => 'error']);
    }

    // Fetch all saved forms
    public function listForms()
    {
        $model = new HybridFormModel();
        return $this->response->setJSON($model->findAll());
    }
}
