<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Edit User</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@latest/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100 dark:bg-gray-900 flex items-center justify-center min-h-screen">
    <div class="max-w-md mx-auto bg-white dark:bg-gray-800 p-8 rounded-lg shadow-lg">
        <h2 class="text-2xl font-bold text-gray-800 dark:text-gray-200">Edit User</h2>

        <?php if (session()->getFlashdata('errors')): ?>
            <div class="bg-red-200 text-red-800 p-2 my-4 rounded">
                <?php foreach (session()->getFlashdata('errors') as $error): ?>
                    <p><?= esc($error) ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>

        <form action="<?= site_url('users/update/'.$user['id']) ?>" method="post">
            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Name</label>
                <input type="text" name="name" value="<?= esc($user['name']) ?>" class="w-full border rounded p-2">
            </div>

            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Email</label>
                <input type="email" name="email" value="<?= esc($user['email']) ?>" class="w-full border rounded p-2">
            </div>

            <div class="mb-4">
                <label class="block text-gray-700 dark:text-gray-300">Role</label>
                <select name="role_id" class="w-full border rounded p-2">
                    <option value="1" <?= ($user['role_id'] == 1) ? 'selected' : '' ?>>Admin</option>
                    <option value="2" <?= ($user['role_id'] == 2) ? 'selected' : '' ?>>Consultant</option>
                    <option value="3" <?= ($user['role_id'] == 3) ? 'selected' : '' ?>>Client</option>
                    <option value="4" <?= ($user['role_id'] == 4) ? 'selected' : '' ?>>Participant</option>
                </select>
            </div>

            <button type="submit" class="w-full bg-blue-500 text-white p-2 rounded hover:bg-blue-600">Update User</button>
        </form>
    </div>
</body>
</html>
